'use strict';

const zod = require('zod');

const schema = zod.z.object({
  robots: zod.z.union([zod.z.string(), zod.z.boolean()]).optional()
});
function asRobotsCollection(collection) {
  if (collection.type === "page") {
    collection.schema = collection.schema ? schema.extend(collection.schema.shape) : schema;
  }
  return collection;
}

exports.asRobotsCollection = asRobotsCollection;
exports.schema = schema;
