import { Collection } from '@nuxt/content';
import { z } from 'zod';

declare const schema: z.ZodObject<{
    robots: z.ZodOptional<z.ZodUnion<[z.ZodString, z.ZodBoolean]>>;
}, "strip", z.ZodTypeAny, {
    robots?: string | boolean | undefined;
}, {
    robots?: string | boolean | undefined;
}>;
declare function asRobotsCollection<T extends Collection<any>>(collection: T): T;

export { asRobotsCollection, schema };
