import { useServerHead } from "@unhead/vue";
import { defineNuxtPlugin, useRequestEvent, useRuntimeConfig } from "nuxt/app";
export default defineNuxtPlugin({
  setup() {
    const event = useRequestEvent();
    const ctx = event?.context?.robots;
    if (!ctx)
      return;
    const config = useRuntimeConfig();
    useServerHead({
      meta: [
        {
          "name": "robots",
          "content": () => ctx.rule || "",
          "data-hint": () => config["nuxt-robots"]?.debug && ctx.debug?.source ? `${ctx.debug?.source},${ctx.debug?.line}` : void 0
        }
      ]
    });
  }
});
